Skip to main content
`Ctrl`+`K`

# MatHtoolUseRecompression

Sets whether a `MATHTOOL` matrix should use recompression.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatHtoolUseRecompression(Mat A, PetscBool use)

## Input Parameters

- A - hierarchical matrix

- use - Boolean value

## See Also

Matrices, `Mat`, `MATHTOOL`

## Level

advanced

## Location

src/mat/impls/htool/htool.cxx

## Implementations

MatHtoolUseRecompression_Htool() in src/mat/impls/htool/htool.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages